Buy/Sell Spawners

Discussion in 'Spigot Plugin Help' started by robotballs, May 7, 2015.

Thread Status:
Not open for further replies.
  1. In essentials you used to be able to do the mob spawner ids ex: 52:90. But now you can't? I have seen other servers do it, is there an extra plugin i need?
     
  2. Use SileSpawners!
     
  3. With essentials shop!
     
  4. I tried, when I do it I get the default pig spawner.
     
  5. There are duplication glitches with that. I know for a fact you can do it with silkspawners. I was reading around and someone said you need to use and earlier version of essentials for it because they removed the support. Cosmic pvp uses silkspawners and essentials to sell them.
     
  6. I usually make a normal buy sign
    [Buy]
    1
    52:[Mobid]
    $Price
     
  7. When I do that I still get a normal pig spawner.
     
  8. I also have the same problem. Are you using spigot or craftbukkit 1.8.X? Because using essentials signs to buy spawners won't work anymore even though you have silk spawners plugin. If you buy a zombie or other mob spawner, it will say placing default spawner and it will give you a pig spawner. If you're using 1.8.X, and you want to fix the spawners problem, you must hire a dev to edit the essentials source code or create another plugin for you.
     
  9. I am using spigot 1.8.3, I think I might have found a way to fix it. If i do I will post it.
     
  10. That's the problem! You have the same problem with me! But if you can fix this, please help me. But if you can't fix it, you have to hire a dev to edit the essentials source code or create another plugin for you.
     
  11. I am a dev.
     
  12. I will see what I can do. I will probably do it in the next week.
     
  13. I might do something like this.
    Define an Essentials kit for each spawner you want to sell, then use Essentials Signs to sell the kits. Define each kit as follows:

    Code (Text):
    sheep:
        items:
          - 52 1 lore:entityID:91 name:Sheep_Spawner
    replacing the 91 and name, of course, with the appropriate values for each spawner type. Then define a kit sign:
    Code (Text):
    [Kit]
    sheep
    Everyone
    $90000
     
    • Like Like x 1
  14. Do you know how to edit the essentials source code so that when you buy spawners using essentials signs in 1.8.X work?
     
  15. You know that the essentials plugin does not work in Minecraft 1.8. There is no offical release unless you have a developer who created one. So far only the big servers are able to update to latest servers because most of their plugins are dev made. If you want to use 1.8 still you have to use a compatible version of 1.7.10 and 1.8. This will not allow you to place 1.8 blocks though. Unfortunatley, it's really the only option I see at this point.

    P.S If you do have a developed version then Idk what to do. Sorry hope this helped.
     
Thread Status:
Not open for further replies.